Jump to content
jrn

Preselecting objects to hatch

Recommended Posts

jrn

Dear acad 2011 users

 

Does anyone know how to pre-select object to hatch?

So the hatch proces will be like:

pre-select desired closed polylines, etc.

press "h" - Enter

make modification to hatch properties if nessesary

Enter - over and out.

 

It slows down working process waiting for acad to come up with its suggestions where to hatch (where the pointer are). And worse - it's very rare that theese suggestions fit to my requests.

 

Please help!!!

Share this post


Link to post
Share on other sites
CyberAngel

If memory serves, you could do that at one time. Which makes it even more annoying.

Share this post


Link to post
Share on other sites
JPlanera

Try experimenting with BHATCH... it allows for greater control.

Share this post


Link to post
Share on other sites
qball

it worked for me with Select Objects. I don't see how it could work with Pick Points though.

Share this post


Link to post
Share on other sites
jrn

Pick Points? I'm not sure I understand.

 

I don't want to select hatch areas with pick points. I want to pre-select object before typing "h" - "enter"

Share this post


Link to post
Share on other sites
jrn

Thanks

but the long BHATCH shortcut :) do some strange "zoom extend" action when typing final "enter" :(

Share this post


Link to post
Share on other sites
JPlanera

Ive never noticed any strange behavior like that... You cant "pre" select with BHATCH, but it allows you to select objects ie polylines blocks, etc... so even if you have overlapping lines, the "object" you selected will be the only thing hatched... Follow this:

 

type BH (BH is the shortcut for BHATCH)

 

Click the Add: Select Objects button under the Bounaries box (top right)

 

click on the object you want hatched and press enter

 

adjust your settings and hit OK...

Share this post


Link to post
Share on other sites
nukecad

To preselect polylines for hatching on the command line try the following-

 

select your polyline

-h

s

l

enter

enter

 

(In english: select polyline, -hatch command line, select, last, enter, enter)

 

EDIT-

 

Just playing with that and noticed a few points-

1- The polyline does not need to be closed.

2- It only works one at a time, if you select multiple plines then it will only hatch the last one selected.

Edited by nukecad

Share this post


Link to post
Share on other sites
JPlanera
To preselect polylines for hatching on the command line try the following-

 

select your polyline

-h

s

l

enter

enter

 

(In english: select polyline, -hatch command line, select, last, enter, enter)

 

unfortunately this method will hatch the last entity drawn not selected... i suppose if this method was done right after drawing the PLINE, it would work...

Share this post


Link to post
Share on other sites
nukecad

Sorry I was only playing about with it and hadnt noticed that it was doing the last drawn not the last selected.

Share this post


Link to post
Share on other sites
JPlanera

Its funny, because i had the same mindset as you, so i tried to write a small LISP that would "store" the selection with (entsel) and that did not work either...

Share this post


Link to post
Share on other sites
qball
Pick Points? I'm not sure I understand.

 

I don't want to select hatch areas with pick points. I want to pre-select object before typing "h" - "enter"

 

like so:

I selected some rectangles, circles, etc, typed HATCH, if "OK" is greyed out it means that Pick Points is on, so click Select Objects (it should select your objects you already picked) and the OK button should be available.

hatch.jpg

Share this post


Link to post
Share on other sites
irneb
To preselect polylines for hatching on the command line try the following-

 

select your polyline

-h

s

l

enter

enter

 

(In english: select polyline, -hatch command line, select, last, enter, enter)

 

EDIT-

 

Just playing with that and noticed a few points-

1- The polyline does not need to be closed.

2- It only works one at a time, if you select multiple plines then it will only hatch the last one selected.

What about changing the L to a P (i.e. Previous instead of Last). Works fine for me, unfortunately though the hatch dialog doesn't appear with this command-line-only version.

Share this post


Link to post
Share on other sites
JPlanera
What about changing the L to a P (i.e. Previous instead of Last). Works fine for me, unfortunately though the hatch dialog doesn't appear with this command-line-only version.

 

Nice catch, using P works for me!:)

Share this post


Link to post
Share on other sites
jrn

But by this procedure objects are selected (on my machine) after writing the hatch command - with "s"

Any selected object are being deselected by "-h" or "h".

 

I want to (like earlier cad versions) preselect object before typing "-h" or "h"

 

But thanks anyway nukecad!

Share this post


Link to post
Share on other sites
jrn
like so:

I selected some rectangles, circles, etc, typed HATCH, if "OK" is greyed out it means that Pick Points is on, so click Select Objects (it should select your objects you already picked) and the OK button should be available.

 

Hmm, not really.

My hatch menu is only shown as part of the ribbon.

By the way. My PICKFIRST is set to 1

Share this post


Link to post
Share on other sites
irneb
My hatch menu is only shown as part of the ribbon.
I think what qball has shown is the full hatch command - which only shows up if your ribbon is closed. Which I think is a bit silly, some of the options are "easier" to get at using the dialog - wish I could find a sysvar similar to the LayerDlgMode. Anyhow, the same thing applies with the hatch command when you've got the ribbon open as does with the command-line version -HATCH.

 

  1. Select the object(s) which will form the border
  2. Click the Hatch button on (Ribbon: Home / Draw), or through the menu: Draw / Hatch, or the draw toolbar (if you have it open), or simply type H.
  3. Now the ribbon opens, either type S or click the Select button in the Boundaries panel of the Hatch Creation ribbon (which should have opened instead of the dialog).
  4. Type P to "re-select" the object(s) you just had selected.
  5. Continue with the hatch as usual (change the settings if needed or simply Enter / Space to apply if already correct from last time).

BTW, I had wished for something similar on AUGI's wish-list, quite a while back. Although that was for the tool-palette hatching to use selections instead of pick-points. http://forums.augi.com/showthread.php?t=81969

 

You may try to wish for your particular want over there as well, some of those wishes actually do come true - but only the most voted for ones :unsure:

Share this post


Link to post
Share on other sites
nukecad
But by this procedure objects are selected (on my machine) after writing the hatch command - with "s"

Any selected object are being deselected by "-h" or "h".

 

I want to (like earlier cad versions) preselect object before typing "-h" or "h"

 

But thanks anyway nukecad!

 

As you specified the command line version of hatch in your original post I had assumed that you were using a macro, script, or lisp in which case the "s l" or "s p" would be carried out without further user input.

Share this post


Link to post
Share on other sites
jrn
Thanks

but the long BHATCH shortcut :) do some strange "zoom extend" action when typing final "enter" :(

 

 

 

OK, that can be avoided by UCSFOLLOW set to 0

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.


×
×
  • Create New...